oracle.xml.parser.v2

## Class XMLEntity

- java.lang.Object
- - oracle.xml.parser.v2.XMLNode
  - - oracle.xml.parser.v2.XMLNSNode
    - - oracle.xml.parser.v2.XMLEntity

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, Entity, EventTarget, Node, NodeEditVAL

    public class XMLEntity
    extends XMLNSNode
    implements Entity, java.io.Externalizable

This class implements the DOM `Entity` interface and represents an XML internal or external entity as defined in the XML Document Type Definition (DTD).

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class oracle.xml.parser.v2.XMLNode

`ATTRDECL, Auto_Events, capturing, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, KEPT_NODE, NAMESPACE_NODE, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XMLDECL_NODE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Fields inherited from interface org.w3c.dom.validation.NodeEditVAL

`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

### Constructor Summary

Constructors
Constructor and Description
`XMLEntity()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Node` `getFirstChild()` Gets the first child of this node.
`Node` `getLastChild()` Gets the last child of this node.
`Node` `getNextSibling()` Gets The node immediately following this node.
`java.lang.String` `getNodeName()` Gets the name of this node, depending on its type
`short` `getNodeType()` Gets a code representing the type of the underlying object
`java.lang.String` `getNodeValue()` Gets the value of this node, depending on its type
`java.lang.String` `getNotationName()` For unparsed entities, gets the name of the notation for the entity.
`Node` `getParentNode()` Gets the parent of this node.
`Node` `getPreviousSibling()` Gets the node immediately preceding this node.
`java.lang.String` `getPublicId()` Gets the public identifier associated with the entity, if specified.
`java.lang.String` `getSystemId()` Gets the system identifier associated with the entity, if specified.
`void` `readExternal(java.io.ObjectInput inArg)` This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
`void` `setNodeValue(java.lang.String arg)` Sets the value of entity.
`void` `writeExternal(java.io.ObjectOutput outArg)` This method saves the state of the object by creating a binary compressed stream with information about this object.

### Methods inherited from class oracle.xml.parser.v2.XMLNSNode

`addText, addText, appendChild, getChildNodes, getText, insertBefore, normalize, removeChild, replaceChild`

### Methods inherited from class oracle.xml.parser.v2.XMLNode

`addEventListener, canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, cloneNode, dispatchEvent, equals, getAttributes, getColumnNumber, getDebugMode, getDefaultValue, getEnumeratedValues, getFirstChildAsOffset, getLineNumber, getLocalName, getNamespaceURI, getNextSiblingAsOffset, getNodeValueAsBinaryStream, getNodeValueAsBinaryStream, getNodeValueAsCharacterStream, getNodeValueAsCharacterStream, getOwnerDocument, getPrefix, getPrimitiveTypeId, getProperty, getXMLError, hasAttributes, hasChildNodes, hashCode, isDocumentFlag, isNodeFlag, isSupported, nodeValidity, print, print, print, print, removeEventListener, reportSAXEvents, resetNodeFlag, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setNodeFlag, setNodeFlag, setNodeFlag, setNodeValueAsBinaryStream, setNodeValueAsBinaryStream, setNodeValueAsCharacterStream, setNodeValueAsCharacterStream, setPrefix, setProperty, transformNode, valueOf, valueOf, xdbGetNodeId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, getAttributes, getChildNodes, getLocalName, getNamespaceURI, getOwnerDocument, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

### Constructor Detail

#### XMLEntity

    public XMLEntity()

Default constructor. Note that this constructor is used only during deserialization/decompression of this DOM node. In order to deserialize this node to construct the DOM node from the serialized/compressed stream, it is required to create a handle of the object.

### Method Detail

#### getNodeType

    public short getNodeType()

Gets a code representing the type of the underlying object

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `XMLNode`
Returns:
  type of the node

#### getNodeName

    public java.lang.String getNodeName()

Gets the name of this node, depending on its type

Specified by:
  `getNodeName` in interface `Node`
Overrides:
  `getNodeName` in class `XMLNode`
Returns:
  Name of this node

#### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

Gets the value of this node, depending on its type

Specified by:
  `getNodeValue` in interface `Node`
Overrides:
  `getNodeValue` in class `XMLNode`
Returns:
  Value of this node
Throws:
  `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly. DOMSTRING_SIZE_ERR: Raised when it would return more characters than fit in a `DOMString` variable on the implementation platform.

#### getPublicId

    public java.lang.String getPublicId()

Gets the public identifier associated with the entity, if specified. If the public identifier was not specified, this is `null`.

Specified by:
  `getPublicId` in interface `Entity`
Returns:
  The public identifier

#### getSystemId

    public java.lang.String getSystemId()

Gets the system identifier associated with the entity, if specified. If the system identifier was not specified, this is `null`.

Specified by:
  `getSystemId` in interface `Entity`
Overrides:
  `getSystemId` in class `XMLNode`
Returns:
  The system identifier

#### getNotationName

    public java.lang.String getNotationName()

For unparsed entities, gets the name of the notation for the entity. For parsed entities, this is `null`.

Specified by:
  `getNotationName` in interface `Entity`
Returns:
  The notation name

#### getParentNode

    public Node getParentNode()

Gets the parent of this node. All nodes, except `Document`, `DocumentFragment`, and `Attr` may have a parent. However, if a node has just been created and not yet added to the tree, or if it has been removed from the tree, this is `null`.

Specified by:
  `getParentNode` in interface `Node`
Overrides:
  `getParentNode` in class `XMLNode`
Returns:
  The parent of this node

#### getPreviousSibling

    public Node getPreviousSibling()

Gets the node immediately preceding this node. If there is no such node, this returns `null`.

Specified by:
  `getPreviousSibling` in interface `Node`
Overrides:
  `getPreviousSibling` in class `XMLNode`
Returns:
  the previous node

#### getNextSibling

    public Node getNextSibling()

Gets The node immediately following this node. If there is no such node, this returns `null`.

Specified by:
  `getNextSibling` in interface `Node`
Overrides:
  `getNextSibling` in class `XMLNode`
Returns:
  the next node

#### setNodeValue

    public void setNodeValue(java.lang.String arg)

Sets the value of entity.

Specified by:
  `setNodeValue` in interface `Node`
Overrides:
  `setNodeValue` in class `XMLNode`
Parameters:
  `arg` - The new value of the entity.

#### writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

This method saves the state of the object by creating a binary compressed stream with information about this object.

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Overrides:
  `writeExternal` in class `XMLNode`
Parameters:
  `outArg` - The ObjectOutput stream used to write the serialized/ compressed stream.
Throws:
  `java.io.IOException` - is thrown when there is an exception while writing the serialized/compressed stream.

#### readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException,
                             java.io.EOFException

This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Overrides:
  `readExternal` in class `XMLNode`
Parameters:
  `inArg` - the ObjectInput stream used for reading the compressed stream.
Throws:
  `java.io.IOException` - is thrown when there is an error in reading the input stream.
  `java.lang.ClassNotFoundException` - is thrown when the class is not found.
  `java.io.EOFException` - is thrown when End of File is encountered.

#### getFirstChild

    public Node getFirstChild()

Gets the first child of this node. If there is no such node, this returns `null`.

Specified by:
  `getFirstChild` in interface `Node`
Overrides:
  `getFirstChild` in class `XMLNSNode`
Returns:
  The first child of this node

#### getLastChild

    public Node getLastChild()

Gets the last child of this node. If there is no such node, this returns `null`.

Specified by:
  `getLastChild` in interface `Node`
Overrides:
  `getLastChild` in class `XMLNSNode`
Returns:
  The last child of this node

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.